//
//  Miner.h
//  MobeleaderMiner
//
//  Created by Mobeleader on 2/1/18.
//  Copyright © 2018 Beleader Internet Marketing S.L. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

//Protocol to know what is happening on the library
@protocol MinerDelegate
@optional

//Optional function to implement something when SpS is Active for this app in mobeleader panel
-(void)onActive;

//Optional function to implement something when SpS is Inactive for this app in mobeleader panel
-(void)onInactive;

//Optional function to implement something when the library is started and is going to fetch advertisements
-(void)onLibStart;

//Optional function to show the errors
//The error variable contains the explanation of the error
-(void)onError:(NSString *)error;

//Optional function to show Warnings
//The warning variable contains the explanation of the warnings
-(void)onWarning:(NSString *)warning;

@end

//Miner Object
@interface Miner : NSObject

//Optional value for delegate sps.
@property(nonatomic,assign)id delegate;

//The function to add requiered value created in mobeleader website.
- (void) setAppHash: (NSString *)appHash;

//The function to add the rootViewController
- (void)setRootViewController:(UIViewController * )rootViewController;

//The function to start mining
- (void)startMiner;

- (void)pruebaLog;

+(Miner*)shared;

@end
